$(document).ready(function() {
	var ctx = $("#ctx").val();//获取服务器地址
	
	/***************************    账户列表页    ***************************/
	
	$("#dsp_serachDataImg").click(function(){
		$("#dspAgentListForm").submit();
		return false;
	});
	
	if($("#validateForm_dspAgent").html()){
		$("#validateForm_dspAgent").autovalidate();
	}
	
	$("#dspAgentListUl li").click(function(){
		var dspId = $(this).attr("value");
		$(this).addClass("changeStyle").siblings(".changeStyle").removeClass("changeStyle");
		$("#dspAgentTitle").text("编辑dsp账户信息 —— "+$(this).text());
		$.post(ctx+"/back/main/dsp/dsp-agent/getDspAgentById",{dspId:dspId},function(data){
			$("#validateForm_dspAgent").setData(data);
		});
	});
	
	$(".btn-save").click(function(){
		if (!$("#validateForm_dspAgent").validate()) {
			return false;
		}
		var DspAgent = $("#validateForm_dspAgent").serialize();
		var flag = isRepeat();//判断账号名称是否重复
		if(flag){
			return false;
		}
		$.post(ctx+"/back/main/dsp/dsp-agent/save", DspAgent, function(data){
			$("#dspAgentListForm").submit();
			return false;
		});
	});
	
	$(".btn-cancel").click(function(){
		$("#validateForm_dspAgent").find("span.spanVaildate").html("");
		$("#validateForm_dspAgent").find("input").css("box-shadow","nonr").attr('title','');
		$("#dspAgentListForm").submit();
		return false;
	});
	
	$("#validateForm_dspAgent input[name='name']").blur(function(){
		isRepeat();
	});

});

$.fn.setData = function(data){
	var obj=this;
	$.each(data, function (name, ival) {
		obj.find("[name="+name+" ]").val(ival);
	});
}

function isRepeat(){
	var flag = false;
	var dspId = "";
	if($("#dspId").val() == 0){
		dspId = null;
	}else{
		dspId = $("#dspId").val();
	}
	var nameObj = $("#validateForm_dspAgent input[name='name']");
	$.ajax({
       	type: "POST",
        url: $("#ctx").val()+"/back/main/dsp/dsp-agent/isRepeat",
        async: false,
        data: {name:nameObj.val(),dspId:dspId},
        success: function(data){
        	if(data == true){
     			nameObj.css("box-shadow","0 0 6px #ff0000").attr('title','你输入的dsp账户已存在！');
     			nameObj.parent().find("span.spanVaildate").html("你输入的dsp账户已存在！");
     			flag = true;
     		}else{
	 			flag = false;
     		}
        }
	});
	return flag;
}